Uses of Interface
org.apache.camel.builder.endpoint.dsl.Transcribe2EndpointBuilderFactory.Transcribe2EndpointBuilder
Packages that use Transcribe2EndpointBuilderFactory.Transcribe2EndpointBuilder
-
Uses of Transcribe2EndpointBuilderFactory.Transcribe2EndpointBuilder in org.apache.camel.builder.endpoint
Methods in org.apache.camel.builder.endpoint that return Transcribe2EndpointBuilderFactory.Transcribe2EndpointBuilderModifier and TypeMethodDescriptionStaticEndpointBuilders.aws2Transcribe(String path) AWS Transcribe (camel-aws2-transcribe) Automatically convert speech to text using AWS Transcribe service Category: cloud,messaging Since: 4.15 Maven coordinates: org.apache.camel:camel-aws2-transcribe Syntax:aws2-transcribe:labelPath parameter: label (required) Logical nameStaticEndpointBuilders.aws2Transcribe(String componentName, String path) AWS Transcribe (camel-aws2-transcribe) Automatically convert speech to text using AWS Transcribe service Category: cloud,messaging Since: 4.15 Maven coordinates: org.apache.camel:camel-aws2-transcribe Syntax:aws2-transcribe:labelPath parameter: label (required) Logical name -
Uses of Transcribe2EndpointBuilderFactory.Transcribe2EndpointBuilder in org.apache.camel.builder.endpoint.dsl
Methods in org.apache.camel.builder.endpoint.dsl that return Transcribe2EndpointBuilderFactory.Transcribe2EndpointBuilderModifier and TypeMethodDescriptionAmazon AWS Access Key.Transcribe2EndpointBuilderFactory.Transcribe2Builders.aws2Transcribe(String path) AWS Transcribe (camel-aws2-transcribe) Automatically convert speech to text using AWS Transcribe service Category: cloud,messaging Since: 4.15 Maven coordinates: org.apache.camel:camel-aws2-transcribe Syntax:aws2-transcribe:labelPath parameter: label (required) Logical nameTranscribe2EndpointBuilderFactory.Transcribe2Builders.aws2Transcribe(String componentName, String path) AWS Transcribe (camel-aws2-transcribe) Automatically convert speech to text using AWS Transcribe service Category: cloud,messaging Since: 4.15 Maven coordinates: org.apache.camel:camel-aws2-transcribe Syntax:aws2-transcribe:labelPath parameter: label (required) Logical nameTranscribe2EndpointBuilderFactory.AdvancedTranscribe2EndpointBuilder.basic()Transcribe2EndpointBuilderFactory.endpointBuilder(String componentName, String path) The operation to perform.Transcribe2EndpointBuilderFactory.Transcribe2EndpointBuilder.operation(org.apache.camel.component.aws2.transcribe.Transcribe2Operations operation) The operation to perform.Transcribe2EndpointBuilderFactory.Transcribe2EndpointBuilder.overrideEndpoint(boolean overrideEndpoint) Set the need for overriding the endpoint.Transcribe2EndpointBuilderFactory.Transcribe2EndpointBuilder.overrideEndpoint(String overrideEndpoint) Set the need for overriding the endpoint.Transcribe2EndpointBuilderFactory.Transcribe2EndpointBuilder.pojoRequest(boolean pojoRequest) If we want to use a POJO request as body or not.Transcribe2EndpointBuilderFactory.Transcribe2EndpointBuilder.pojoRequest(String pojoRequest) If we want to use a POJO request as body or not.Transcribe2EndpointBuilderFactory.Transcribe2EndpointBuilder.profileCredentialsName(String profileCredentialsName) If using a profile credentials provider this parameter will set the profile name.To define a proxy protocol when instantiating the Transcribe client.Transcribe2EndpointBuilderFactory.Transcribe2EndpointBuilder.protocol(software.amazon.awssdk.core.Protocol protocol) To define a proxy protocol when instantiating the Transcribe client.To define a proxy host when instantiating the Transcribe client.Transcribe2EndpointBuilderFactory.Transcribe2EndpointBuilder.proxyPassword(String proxyPassword) To define a proxy password when instantiating the Transcribe client.To define a proxy port when instantiating the Transcribe client.To define a proxy port when instantiating the Transcribe client.Transcribe2EndpointBuilderFactory.Transcribe2EndpointBuilder.proxyProtocol(String proxyProtocol) To define a proxy protocol when instantiating the Transcribe client.Transcribe2EndpointBuilderFactory.Transcribe2EndpointBuilder.proxyProtocol(software.amazon.awssdk.core.Protocol proxyProtocol) To define a proxy protocol when instantiating the Transcribe client.Transcribe2EndpointBuilderFactory.Transcribe2EndpointBuilder.proxyUsername(String proxyUsername) To define a proxy username when instantiating the Transcribe client.The region in which Transcribe client needs to work.Amazon AWS Secret Key.Transcribe2EndpointBuilderFactory.Transcribe2EndpointBuilder.sessionToken(String sessionToken) Amazon AWS Session Token used when the user needs to assume a IAM role.Transcribe2EndpointBuilderFactory.Transcribe2EndpointBuilder.transcribeClient(String transcribeClient) To use a existing configured AWS Transcribe as client.Transcribe2EndpointBuilderFactory.Transcribe2EndpointBuilder.transcribeClient(software.amazon.awssdk.services.transcribe.TranscribeClient transcribeClient) To use a existing configured AWS Transcribe as client.Transcribe2EndpointBuilderFactory.Transcribe2EndpointBuilder.trustAllCertificates(boolean trustAllCertificates) If we want to trust all certificates in case of overriding the endpoint.Transcribe2EndpointBuilderFactory.Transcribe2EndpointBuilder.trustAllCertificates(String trustAllCertificates) If we want to trust all certificates in case of overriding the endpoint.Transcribe2EndpointBuilderFactory.Transcribe2EndpointBuilder.uriEndpointOverride(String uriEndpointOverride) Set the overriding uri endpoint.Transcribe2EndpointBuilderFactory.Transcribe2EndpointBuilder.useDefaultCredentialsProvider(boolean useDefaultCredentialsProvider) Set whether the Transcribe client should expect to load credentials through a default credentials provider or to expect static credentials to be passed in.Transcribe2EndpointBuilderFactory.Transcribe2EndpointBuilder.useDefaultCredentialsProvider(String useDefaultCredentialsProvider) Set whether the Transcribe client should expect to load credentials through a default credentials provider or to expect static credentials to be passed in.Transcribe2EndpointBuilderFactory.Transcribe2EndpointBuilder.useProfileCredentialsProvider(boolean useProfileCredentialsProvider) Set whether the Transcribe client should expect to load credentials through a profile credentials provider.Transcribe2EndpointBuilderFactory.Transcribe2EndpointBuilder.useProfileCredentialsProvider(String useProfileCredentialsProvider) Set whether the Transcribe client should expect to load credentials through a profile credentials provider.Transcribe2EndpointBuilderFactory.Transcribe2EndpointBuilder.useSessionCredentials(boolean useSessionCredentials) Set whether the Transcribe client should expect to use Session Credentials.Transcribe2EndpointBuilderFactory.Transcribe2EndpointBuilder.useSessionCredentials(String useSessionCredentials) Set whether the Transcribe client should expect to use Session Credentials.